Skip to content

/migrations/{id}/precreate

POST
/migrations/{id}/precreate
curl --request POST \
--url https://example.com/api/v1/migrations/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0/precreate \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{ "addresses": [ "example" ], "copyQuotas": false, "map": true }'
id
required
string format: uuid
/^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$/
Media typeapplication/json
object
addresses
required
Array<string>
>= 1 items <= 1000 items
copyQuotas
boolean
map
boolean
default: true

Default Response

Media typeapplication/json
object
created
required
Array<object>
object
address
required
string
password
required
string
skipped
required
Array<object>
object
address
required
string
reason
required
string
mapped
required
integer
<= 9007199254740991
Examplegenerated
{
"created": [
{
"address": "example",
"password": "example"
}
],
"skipped": [
{
"address": "example",
"reason": "example"
}
],
"mapped": 1
}